(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     46357,        983]
NotebookOptionsPosition[     44819,        951]
NotebookOutlinePosition[     45253,        968]
CellTagsIndexPosition[     45210,        965]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8116983343027706`*^9, 3.8116983385747566`*^9}, {
  3.8117025971388855`*^9, 
  3.8117026013613663`*^9}},ExpressionUUID->"7ed67b23-9420-4629-a65a-\
156cb779e6e6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "h"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PesoRuta", "[", 
  RowBox[{"grafo", ",", "L"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"PesoRuta", "[", 
  RowBox[{"grafo", ",", "L", ",", 
   RowBox[{"ruta", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8116981890855923`*^9, 3.811698191378979*^9}, {
  3.81169822787179*^9, 3.811698230685264*^9}, {3.8116982706295137`*^9, 
  3.81169831661544*^9}, {3.8116983546184587`*^9, 3.811698358351581*^9}, {
  3.8116990411694584`*^9, 3.811699060777217*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"04141b01-43c2-4394-9057-2cdb1ae51593"],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{
  3.81169835957413*^9, {3.811699047491951*^9, 3.8116990616857195`*^9}, 
   3.8117026054148736`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"c98720c3-ebf8-4cf2-a0be-6ee68e0f78c5"],

Cell[BoxData["4"], "Print",
 CellChangeTimes->{{3.8116990475292616`*^9, 3.811699061716635*^9}, 
   3.8117026054188633`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[49]:=",ExpressionUUID->"2f3773d7-2da0-4dae-b78e-dc35381778fc"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`d], 
         UndirectedEdge[$CellContext`c, $CellContext`h], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`f]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{1.8718850276533456`, 1.490319651941764}, {2.936092094654265,
          1.07860144355077}}], 
        LineBox[{{1.8718850276533456`, 1.490319651941764}, {
         2.1173925213821425`, 0.8145608378417076}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.1112050076457427`, 0.517161370699181}}]}, 
        LineBox[{{1.8718850276533456`, 1.490319651941764}, {
         1.0355314387794872`, 1.071894780653976}}], 
        LineBox[{{2.936092094654265, 1.07860144355077}, {2.1173925213821425`, 
         0.8145608378417076}}], 
        LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
         0.12717644054597899`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.0355314387794872`, 1.071894780653976}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          2.36265308790352, 0.12717644054597899`}}]}, 
        LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
         1.548297953590987, 0.}}], 
        LineBox[{{1.1112050076457427`, 0.517161370699181}, {
         1.0355314387794872`, 1.071894780653976}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {2.36265308790352,
           0.12717644054597899`}}]}, 
        LineBox[{{1.1112050076457427`, 0.517161370699181}, {1.548297953590987,
          0.}}], LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
         0.8566342774404234}}], 
        LineBox[{{1.0355314387794872`, 1.071894780653976}, {1.548297953590987,
          0.}}], LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
         0.8566342774404234}}], 
        LineBox[{{2.36265308790352, 0.12717644054597899`}, {1.548297953590987,
          0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8718850276533456, 1.490319651941764}, 
          0.029779458503799247], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.029779458503799247],
          InsetBox["b", 
          Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 
          0.029779458503799247], 
         InsetBox["c", 
          Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1112050076457427, 0.517161370699181}, 
          0.029779458503799247], 
         InsetBox["f", 
          Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0355314387794872, 1.071894780653976}, 
          0.029779458503799247], 
         InsetBox["h", 
          Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.36265308790352, 0.12717644054597899}, 
          0.029779458503799247], 
         InsetBox["d", 
          Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
         InsetBox["e", 
          Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
         InsetBox["g", 
          Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.81169835957413*^9, {3.811699047491951*^9, 3.8116990616857195`*^9}, 
   3.8117026054697285`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"8fc26ba5-872b-4e7d-9a7b-4402234228ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
   RowBox[{"pesos", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "20", ",", "14", ",", "14", ",", "2", ",", "19", ",", "18", ",", "7", 
      ",", "15", ",", "4", ",", "10", ",", "2", ",", "18", ",", "7", ",", 
      "19", ",", "9", ",", "5"}], "}"}]}], ",", 
   RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.811698412002469*^9, {3.811698570898471*^9, 3.8116987155717883`*^9}, {
   3.8116988027157044`*^9, 3.8116988356507325`*^9}, {3.8116990668904743`*^9, 
   3.811699071860148*^9}, 3.811701813947784*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"b87a70e7-5986-47fc-a82c-d89410c366e4"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`h] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 7, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 7, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 18, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 14, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 19, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 14, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 15, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 19, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 10, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 18, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 9, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 20}, 
       EdgeWeight -> {20, 14, 14, 2, 19, 18, 7, 15, 4, 10, 2, 18, 7, 19, 9, 
        5}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.936092094654265, 1.07860144355077}}], 
         InsetBox["20", {2.403988561153805, 1.2844605477462672}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.1173925213821425`, 0.8145608378417076}}], 
         InsetBox["14", {1.994638774517744, 1.152440244891736}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.1112050076457427`, 0.517161370699181}}], 
         InsetBox["14", {1.4915450176495442, 1.0037405113204725}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["2", {1.4537082332164164, 1.28110721629787}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.1173925213821425`,
           0.8145608378417076}}], 
         InsetBox["19", {2.5267423080182034, 0.9465811406962388}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
          0.12717644054597899`}}], 
         InsetBox["18", {2.649372591278892, 0.6028889420483745}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["4", {1.5764619800808148, 0.9432278092478419}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          2.36265308790352, 0.12717644054597899`}}], 
         InsetBox["7", {2.240022804642831, 0.4708686391938433}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.548297953590987, 0.}}], 
         InsetBox["15", {1.832845237486565, 0.4072804189208538}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["9", {1.073368223212615, 0.7945280756765785}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {2.36265308790352,
           0.12717644054597899`}}], 
         InsetBox["2", {1.7369290477746313, 0.32216890562258}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.548297953590987, 0.}}], 
         InsetBox["18", {1.329751480618365, 0.2585806853495905}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
          0.8566342774404234}}], 
         InsetBox["19", {0.5556025038228714, 0.6868978240698023}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {
          1.548297953590987, 0.}}], 
         InsetBox["7", {1.2919146961852372, 0.535947390326988}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
          0.8566342774404234}}], 
         InsetBox["5", {0.5177657193897436, 0.9642645290471997}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.36265308790352, 0.12717644054597899`}, {
          1.548297953590987, 0.}}], 
         InsetBox["10", {1.9554755207472536, 0.06358822027298949}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8718850276533456, 1.490319651941764}, 
          0.029779458503799247], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.029779458503799247],
          InsetBox["b", 
          Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 
          0.029779458503799247], 
         InsetBox["c", 
          Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1112050076457427, 0.517161370699181}, 
          0.029779458503799247], 
         InsetBox["f", 
          Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0355314387794872, 1.071894780653976}, 
          0.029779458503799247], 
         InsetBox["h", 
          Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.36265308790352, 0.12717644054597899}, 
          0.029779458503799247], 
         InsetBox["d", 
          Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
         InsetBox["e", 
          Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
         InsetBox["g", 
          Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.811699072248077*^9, 3.8117018158445344`*^9, 
  3.8117026091506505`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"402b60ec-07ad-42e7-95ac-35a02956b4ae"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PesoRuta", "[", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
        Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 
         7}, {3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 
         5}}}, {EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`h] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`h] -> 7, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`d] -> 18, 
           UndirectedEdge[$CellContext`g, $CellContext`h] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`c] -> 14, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 19, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 14, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 15, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 19, 
           UndirectedEdge[$CellContext`d, $CellContext`e] -> 10, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 18, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 20}, 
         EdgeWeight -> {20, 14, 14, 2, 19, 18, 7, 15, 4, 10, 2, 18, 7, 19, 9, 
          5}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            2.936092094654265, 1.07860144355077}}], 
           InsetBox["20", {2.403988561153805, 1.2844605477462672}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            2.1173925213821425`, 0.8145608378417076}}], 
           InsetBox["14", {1.994638774517744, 1.152440244891736}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            1.1112050076457427`, 0.517161370699181}}], 
           InsetBox["14", {1.4915450176495442, 1.0037405113204725}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["2", {1.4537082332164164, 1.28110721629787}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.936092094654265, 1.07860144355077}, {
            2.1173925213821425`, 0.8145608378417076}}], 
           InsetBox["19", {2.5267423080182034, 0.9465811406962388}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
            0.12717644054597899`}}], 
           InsetBox["18", {2.649372591278892, 0.6028889420483745}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["4", {1.5764619800808148, 0.9432278092478419}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            2.36265308790352, 0.12717644054597899`}}], 
           InsetBox["7", {2.240022804642831, 0.4708686391938433}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            1.548297953590987, 0.}}], 
           InsetBox["15", {1.832845237486565, 0.4072804189208538}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["9", {1.073368223212615, 0.7945280756765785}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            2.36265308790352, 0.12717644054597899`}}], 
           InsetBox["2", {1.7369290477746313, 0.32216890562258}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            1.548297953590987, 0.}}], 
           InsetBox["18", {1.329751480618365, 0.2585806853495905}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
            0.8566342774404234}}], 
           InsetBox["19", {0.5556025038228714, 0.6868978240698023}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.0355314387794872`, 1.071894780653976}, {
            1.548297953590987, 0.}}], 
           InsetBox["7", {1.2919146961852372, 0.535947390326988}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
            0.8566342774404234}}], 
           InsetBox["5", {0.5177657193897436, 0.9642645290471997}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.36265308790352, 0.12717644054597899`}, {
            1.548297953590987, 0.}}], 
           InsetBox["10", {1.9554755207472536, 0.06358822027298949}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.8718850276533456, 1.490319651941764}, 
            0.029779458503799247], 
           InsetBox["a", 
            Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.936092094654265, 1.07860144355077}, 
            0.029779458503799247], 
           InsetBox["b", 
            Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1173925213821425, 0.8145608378417076}, 
            0.029779458503799247], 
           InsetBox["c", 
            Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1112050076457427, 0.517161370699181}, 
            0.029779458503799247], 
           InsetBox["f", 
            Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.0355314387794872, 1.071894780653976}, 
            0.029779458503799247], 
           InsetBox["h", 
            Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.36265308790352, 0.12717644054597899}, 
            0.029779458503799247], 
           InsetBox["d", 
            Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
           InsetBox["e", 
            Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
           InsetBox["g", 
            Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", "L"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"PesoRuta", "[", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
        Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 
         7}, {3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 
         5}}}, {EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`h] -> 2, 
           UndirectedEdge[$CellContext`e, $CellContext`h] -> 7, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`d] -> 18, 
           UndirectedEdge[$CellContext`g, $CellContext`h] -> 5, 
           UndirectedEdge[$CellContext`a, $CellContext`c] -> 14, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 19, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 14, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 15, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 19, 
           UndirectedEdge[$CellContext`d, $CellContext`e] -> 10, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 18, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 20}, 
         EdgeWeight -> {20, 14, 14, 2, 19, 18, 7, 15, 4, 10, 2, 18, 7, 19, 9, 
          5}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            2.936092094654265, 1.07860144355077}}], 
           InsetBox["20", {2.403988561153805, 1.2844605477462672}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            2.1173925213821425`, 0.8145608378417076}}], 
           InsetBox["14", {1.994638774517744, 1.152440244891736}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            1.1112050076457427`, 0.517161370699181}}], 
           InsetBox["14", {1.4915450176495442, 1.0037405113204725}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.8718850276533456`, 1.490319651941764}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["2", {1.4537082332164164, 1.28110721629787}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.936092094654265, 1.07860144355077}, {
            2.1173925213821425`, 0.8145608378417076}}], 
           InsetBox["19", {2.5267423080182034, 0.9465811406962388}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
            0.12717644054597899`}}], 
           InsetBox["18", {2.649372591278892, 0.6028889420483745}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["4", {1.5764619800808148, 0.9432278092478419}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            2.36265308790352, 0.12717644054597899`}}], 
           InsetBox["7", {2.240022804642831, 0.4708686391938433}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
            1.548297953590987, 0.}}], 
           InsetBox["15", {1.832845237486565, 0.4072804189208538}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            1.0355314387794872`, 1.071894780653976}}], 
           InsetBox["9", {1.073368223212615, 0.7945280756765785}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            2.36265308790352, 0.12717644054597899`}}], 
           InsetBox["2", {1.7369290477746313, 0.32216890562258}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {
            1.548297953590987, 0.}}], 
           InsetBox["18", {1.329751480618365, 0.2585806853495905}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
            0.8566342774404234}}], 
           InsetBox["19", {0.5556025038228714, 0.6868978240698023}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.0355314387794872`, 1.071894780653976}, {
            1.548297953590987, 0.}}], 
           InsetBox["7", {1.2919146961852372, 0.535947390326988}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
            0.8566342774404234}}], 
           InsetBox["5", {0.5177657193897436, 0.9642645290471997}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.36265308790352, 0.12717644054597899`}, {
            1.548297953590987, 0.}}], 
           InsetBox["10", {1.9554755207472536, 0.06358822027298949}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.8718850276533456, 1.490319651941764}, 
            0.029779458503799247], 
           InsetBox["a", 
            Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.936092094654265, 1.07860144355077}, 
            0.029779458503799247], 
           InsetBox["b", 
            Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1173925213821425, 0.8145608378417076}, 
            0.029779458503799247], 
           InsetBox["c", 
            Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1112050076457427, 0.517161370699181}, 
            0.029779458503799247], 
           InsetBox["f", 
            Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.0355314387794872, 1.071894780653976}, 
            0.029779458503799247], 
           InsetBox["h", 
            Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.36265308790352, 0.12717644054597899}, 
            0.029779458503799247], 
           InsetBox["d", 
            Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
           InsetBox["e", 
            Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
           InsetBox["g", 
            Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", "L", ",", 
   RowBox[{"ruta", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.811698843618574*^9, {3.811698886551973*^9, 3.8116988923737965`*^9}, {
   3.811701299416952*^9, 3.8117013025536256`*^9}, {3.8117013718394985`*^9, 
   3.811701373619609*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"ebc1f5a2-750d-48e7-84ad-5ffb2c84033e"],

Cell[BoxData["27"], "Output",
 CellChangeTimes->{3.8117013751233683`*^9, 3.811702612860673*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"33d21a8f-4777-4b11-883b-753289fb352e"],

Cell[BoxData["27"], "Print",
 CellChangeTimes->{3.811701375127359*^9, 3.8117026128885994`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[54]:=",ExpressionUUID->"983b4a7a-c1e6-4ecb-a351-c2df75570bbe"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`d, $CellContext`e] -> 10, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 7, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 19, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 19, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 18, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 18, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 20, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 14, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`h] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 15, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 9, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 14, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 7}, 
       EdgeWeight -> {20, 14, 14, 2, 19, 18, 7, 15, 4, 10, 2, 18, 7, 19, 9, 
        5}, FormatType -> TraditionalForm, GraphHighlight -> {
         UndirectedEdge[$CellContext`d, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`c, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`f]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.936092094654265, 1.07860144355077}}], 
         InsetBox["20", {2.403988561153805, 1.2844605477462672}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.1173925213821425`, 0.8145608378417076}}], 
         InsetBox["14", {1.994638774517744, 1.152440244891736}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{1.8718850276533456`, 1.490319651941764}, {
           1.1112050076457427`, 0.517161370699181}}]}, 
         InsetBox["14", {1.4915450176495442, 1.0037405113204725}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["2", {1.4537082332164164, 1.28110721629787}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.1173925213821425`,
           0.8145608378417076}}], 
         InsetBox["19", {2.5267423080182034, 0.9465811406962388}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
          0.12717644054597899`}}], 
         InsetBox["18", {2.649372591278892, 0.6028889420483745}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
           1.0355314387794872`, 1.071894780653976}}]}, 
         InsetBox["4", {1.5764619800808148, 0.9432278092478419}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
           2.36265308790352, 0.12717644054597899`}}]}, 
         InsetBox["7", {2.240022804642831, 0.4708686391938433}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.548297953590987, 0.}}], 
         InsetBox["15", {1.832845237486565, 0.4072804189208538}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["9", {1.073368223212615, 0.7945280756765785}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{1.1112050076457427`, 0.517161370699181}, {
           2.36265308790352, 0.12717644054597899`}}]}, 
         InsetBox["2", {1.7369290477746313, 0.32216890562258}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.548297953590987, 0.}}], 
         InsetBox["18", {1.329751480618365, 0.2585806853495905}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
          0.8566342774404234}}], 
         InsetBox["19", {0.5556025038228714, 0.6868978240698023}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {
          1.548297953590987, 0.}}], 
         InsetBox["7", {1.2919146961852372, 0.535947390326988}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
          0.8566342774404234}}], 
         InsetBox["5", {0.5177657193897436, 0.9642645290471997}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.36265308790352, 0.12717644054597899`}, {
          1.548297953590987, 0.}}], 
         InsetBox["10", {1.9554755207472536, 0.06358822027298949}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8718850276533456, 1.490319651941764}, 
          0.029779458503799247], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.029779458503799247],
          InsetBox["b", 
          Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 
          0.029779458503799247], 
         InsetBox["c", 
          Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1112050076457427, 0.517161370699181}, 
          0.029779458503799247], 
         InsetBox["f", 
          Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0355314387794872, 1.071894780653976}, 
          0.029779458503799247], 
         InsetBox["h", 
          Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.36265308790352, 0.12717644054597899}, 
          0.029779458503799247], 
         InsetBox["d", 
          Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
         InsetBox["e", 
          Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
         InsetBox["g", 
          Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8117013751233683`*^9, 3.811702612934476*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"72194568-573a-4d7a-94b8-7a9bf576dd07"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.81169840999846*^9},ExpressionUUID->"756478a7-2648-4c82-81ad-682472bc42a4"]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"34fcd68c-aa8c-44c0-aa0b-2a2fc1610d78"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 237, 5, 63, "Input",ExpressionUUID->"7ed67b23-9420-4629-a65a-156cb779e6e6"],
Cell[CellGroupData[{
Cell[820, 29, 2097, 60, 427, "Input",ExpressionUUID->"04141b01-43c2-4394-9057-2cdb1ae51593"],
Cell[2920, 91, 227, 4, 100, "Output",ExpressionUUID->"c98720c3-ebf8-4cf2-a0be-6ee68e0f78c5"],
Cell[3150, 97, 240, 5, 50, "Print",ExpressionUUID->"2f3773d7-2da0-4dae-b78e-dc35381778fc"],
Cell[3393, 104, 5297, 108, 450, "Output",ExpressionUUID->"8fc26ba5-872b-4e7d-9a7b-4402234228ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8727, 217, 1726, 48, 341, "Input",ExpressionUUID->"b87a70e7-5986-47fc-a82c-d89410c366e4"],
Cell[10456, 267, 7976, 153, 457, "Output",ExpressionUUID->"402b60ec-07ad-42e7-95ac-35a02956b4ae"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18469, 425, 17290, 345, 437, "Input",ExpressionUUID->"ebc1f5a2-750d-48e7-84ad-5ffb2c84033e"],
Cell[35762, 772, 174, 2, 100, "Output",ExpressionUUID->"33d21a8f-4777-4b11-883b-753289fb352e"],
Cell[35939, 776, 211, 4, 50, "Print",ExpressionUUID->"983b4a7a-c1e6-4ecb-a351-c2df75570bbe"],
Cell[36153, 782, 8522, 162, 457, "Output",ExpressionUUID->"72194568-573a-4d7a-94b8-7a9bf576dd07"]
}, Open  ]],
Cell[44690, 947, 125, 2, 63, "Input",ExpressionUUID->"756478a7-2648-4c82-81ad-682472bc42a4"]
}
]
*)

